package org.gcube.smartgears.publishing;

import org.gcube.smartgears.configuration.application.ApplicationConfiguration;
import org.gcube.smartgears.configuration.container.ContainerConfiguration;

public interface Publisher {

	boolean publishContainer(ContainerConfiguration container, String ... contexts);
	
	boolean publishApplication(ApplicationConfiguration application, String ... contexts);
	
	boolean unpublishContainer(ContainerConfiguration container, String ... contexts);
	
	boolean unpublishApplication(ApplicationConfiguration application, String ... contexts);
}
